package com.bonus.hn.bearing.capacity.backstage.project.service;

import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.TowerProjectBean;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface TowerProjectService {

    List<TowerProjectBean> getFirmList(TowerProjectBean o);

    int addProjectInfo(TowerProjectBean bean);

    TowerProjectBean getListProject(String id);

    int updateProject(TowerProjectBean bean);


    int delProjectById(String id);

    int delProjectId(String id);

    String towerListImport(HttpServletRequest request, MultipartFile file, String engineerId);
}

